﻿app.controller('AppointmentBookMenuController', [
    '$scope', '$http', '$rootScope', function($scope, $http, $rootScope) {
        createDefault();

        $scope.selectionChanged = function() {
            $rootScope.$broadcast("menuSelectionsChanged", $scope.selections);
        }

        $scope.reset = function() {
            createDefault();
        }

        function createDefault() {
            $scope.selections = {
                appointStateEnum: -1,
                hasNotes: false,
                bookedOnline: false,
                numberOfVisits: -1
            }
            $rootScope.$broadcast("menuSelectionsChanged", $scope.selections);
        }
    }
]);