﻿app.controller('SaleController', [
    '$scope', '$location', '$rootScope', 'restServer', function ($scope, $location, $rootScope, restServer) {
        $scope.salesSectionTitle = "Service";
        $scope.accordionClass = "services-accordion";
        $scope.accordionItemClass = "services";

        $scope.$on("saleTabChanged", function (event, args) {
            switch (args.tabSelected) {
                case 'service':
                    $scope.salesSectionTitle = "Service";
                    $scope.accordionClass = "services-accordion";
                    $scope.accordionItemClass = "services";
                    break;
                case 'product':
                    $scope.salesSectionTitle = "Product";
                    $scope.accordionClass = "products-accordion";
                    $scope.accordionItemClass = "products";
                    break;
                case 'giftcard':
                    $scope.salesSectionTitle = "Service";
                    $scope.accordionClass = "gift-cards-accordion";
                    $scope.accordionItemClass = "gift-cards";
                    break;
            }
        });

        $scope.getServiceCats = function() {
            
        }
    }
]);