/**
 * Created by petermomot on 7/17/15.
 */
define([
    'jquery',
    'underscore',
    'text!../../templates/smart-receipt/bread-crumbs.html'
], function ($, _, BreadCrumbsTemplate) {
    'use strict';

    return function (options) {
        var html, touchCallback;

        html = _.template(BreadCrumbsTemplate)({
            breadCrumbs: options.breadCrumbs
        });

        touchCallback = function (e) {
            var $target = $(e.target);
            if ($target.next().length == 0) {
                return false;
            } else if ($target.prev().length == 0) {
                this.customClose({type: 'returnToMenu'});
            } else {
                this.customClose('returnToSubMenu');
            }
        };

        return {
            modalContentClass: 'after-bread-crumbs',
            html: html,
            events: {
                'touchend .bread-crumbs span': 'breadCrumbsGo'
            },
            touchCallback: touchCallback
        };
    }
});