/**
 * Created by petermomot on 2/16/15.
 */
define([
    '../modal',
    'text!../../../templates/drawer/greater-amount-modal.html'
], function (ModalView, AmountTemplate) {
    'use strict';

    return ModalView.extend({
        el: '#amount-modal .content',
        scrollWrap: '#greater-amount-modal-scroll-wrap',
        template: _.template(AmountTemplate),

        initialize: function () {
            this.events = _.extend({}, ModalView.prototype.events, this.events);
        },

        events: {
            'tap .button': 'tapButton'
        },

        tapButton: function (e) {
            e.preventDefault();
            e.stopPropagation();
            e.stopImmediatePropagation();
            if (e.target.classList.contains('cancel')) {
                this.closeView();
                return false;
            }
            this.trigger('asPayInEvent', e.target.classList.contains('pay-in'));
            this.closeView();
        }

    });
});
