define([
    'jquery',
    'views/modal',
    'text!../../../templates/smart-receipt/client-notes-modal.html'
], function ($, ModalView, ClientNotesModalTemplate) {
    'use strict';

    return ModalView.extend({
        el: '#client-notes-modal .content',
        template: _.template(ClientNotesModalTemplate),
        scrollWrap: '#client-notes-wrap',

        events: _.extend(ModalView.prototype.events, {
            'touchend #button-ok' : 'cancel'
        })

    });
});
