﻿/**
 * Created by petermomot on 7/6/15.
 */
define([
    'backbone'
], function (Backbone) {
    'use strict';

    var TransactionModel = Backbone.Model.extend({
        defaults: {
            saleId: '',
            dateTransaction: '',
            totalPrice: '',
            totalTip: '',
            currentSaleStateEnum: '',
            drawerName: '',
            invoiceNumber: '',
            firstName: '',
            lastName: '',
            lastEditedByUserName: '',
            canBeVoided: '',
        },

        initialize: function () {}
    });

    var TransactionsCollection = Backbone.Collection.extend({
        model: TransactionModel
    });

    return new TransactionsCollection;

});